> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payment authorization options

> Returns FIDO authorization options for a payment.



## OpenAPI

````yaml api-reference/banking-api/receivables/biometrics/openapi.json GET /biometrics/enrollments/{enrollment_id}/payments/{payment_id}/credentials
openapi: 3.0.0
info:
  title: Trio Biometrics API
  version: 0.1.0
servers:
  - url: http://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /biometrics/enrollments/{enrollment_id}/payments/{payment_id}/credentials:
    get:
      tags:
        - biometrics
      summary: Get payment authorization options
      description: Returns FIDO authorization options for a payment.
      operationId: TrioInitiationWeb.Biometrics.PaymentController.authorize_options
      parameters:
        - description: Enrollment ID
          in: path
          name: enrollment_id
          required: true
          schema:
            type: string
        - description: ITP Document ID (payment)
          in: path
          name: payment_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Authorization_options_response'
          description: Authorization options
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    Authorization_options_response:
      description: Response schema for FIDO authorization options
      example:
        data:
          public_key_encoded: >-
            {timeout:60000,challenge:example_challenge,allowCredentials:[{id:id,type:public-key}],rpId:example.com.br,userVerification:preferred}
      properties:
        data:
          properties:
            public_key_encoded:
              description: Public key encoded
              type: string
          type: object
      title: Authorization_options_response
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object

````